Front Cover

DataMan® Real Time Monitoring

Reference Manual

Copyright © 2019 | Cognex Corporation | All Rights Reserved.

Enter Document Title in Target | 2020 April 14 | Revision: 6.1.6.5


Legal Notices

The software described in this document is furnished under license, and may be used or copied only in accordance with the terms of such license and with the inclusion of the copyright notice shown on this page. Neither the software, this document, nor any copies thereof may be provided to, or otherwise made available to, anyone other than the licensee. Title to, and ownership of, this software remains with Cognex Corporation or its licensor. Cognex Corporation assumes no responsibility for the use or reliability of its software on equipment that is not supplied by Cognex Corporation. Cognex Corporation makes no warranties, either express or implied, regarding the described software, its merchantability, non-infringement or its fitness for any particular purpose.

The information in this document is subject to change without notice and should not be construed as a commitment by Cognex Corporation. Cognex Corporation is not responsible for any errors that may be present in either this document or the associated software.

Companies, names, and data used in examples herein are fictitious unless otherwise noted. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, nor transferred to any other media or language without the written permission of Cognex Corporation.

2020 April 14 11:21 AM

Revision: 6.1.6.5

Copyright © 2019. Cognex Corporation. All Rights Reserved.

Portions of the hardware and software provided by Cognex may be covered by one or more U.S. and foreign patents, as well as pending U.S. and foreign patents listed on the Cognex web site at: cognex.com/patents.

The following are registered trademarks of Cognex Corporation:

Cognex, 2DMAX, Advantage, AlignPlus, Assemblyplus, Check it with Checker, Checker, Cognex Vision for Industry, Cognex VSOC, CVL, DataMan, DisplayInspect, DVT, EasyBuilder, Hotbars, IDMax, In‑Sight, Laser Killer, MVS‑8000, OmniView, PatFind, PatFlex, PatInspect, PatMax, PatQuick, SensorView, SmartView, SmartAdvisor, SmartLearn, UltraLight, Vision Solutions, VisionPro, VisionView

The following are trademarks of Cognex Corporation:

The Cognex logo, 1DMax, 3D‑Locate, 3DMax, BGAII, CheckPoint, Cognex VSoC, CVC‑1000, FFD, iLearn, In‑Sight (design insignia with cross‑hairs), In‑Sight 2000, InspectEdge, Inspection Designer, MVS, NotchMax, OCRMax, PatMax RedLine, ProofRead, SmartSync, ProfilePlus, SmartDisplay, SmartSystem, SMD4, VisiFlex, Xpand

Portions copyright © Microsoft Corporation. All rights reserved.

Portions copyright © MadCap Software, Inc. All rights reserved.

Other product and company trademarks identified herein are the trademarks of their respective owners.


Table of Contents

Front Cover
Legal Notices
Symbols
Overview
Configuring RTM
Getting Started
Configuration
Code Quality
Using RTM
Devices
Display Settings
Changing Time Scale
Aggregated and Detailed Views
Aggregated Views
Detailed Views
RTM Contoller
Introduction
Standard Components
Accessories
RTM Controller Accessories
Mounting Hardware
Power Supply
Terminal Blocks
HDMI Cable
RTM Controller Connectors and Indicators
Installation
Mount the RTM Controller
Install the Accessory Wall Mounting Bracket
Install the Accessory DIN Rail Mounting Bracket
Connect the INPUTS and OUTPUTS Terminal Blocks
Connect to an Ethernet Network (Optional)
Insert the SD Card (Optional)
Connect USB Devices (Optional)
Connect the 24VDC Power Supply
RTM Controller Specifications
Inputs
Outputs
Port and Terminal Block Specifications
CAM Ports
LAN Ports
USB 2.0 Ports
USB 3.0 Port
INPUTS Terminal Block Assignments
OUTPUTS Terminal Block Assignments
24VDC Power Connector Terminal Assignments
HDMI Cable
RTM Controller Dimensions
Wiring Inputs and Outputs
Input from PLC - Current Sinking
Input from PLC - Current Sourcing
Output to PLC - Current Sinking
Output to PLC - Current Sourcing
Output to Pilot Light - Current Sinking
Output to Pilot Light - Current Sourcing
Cleaning/Maintenance
Regulations/Conformity
China RoHS
For European Community Users
Precautions
Back Cover


Symbols

The following symbols indicate safety precautions and supplemental information:

WARNING: This symbol indicates a hazard that could cause death, serious personal injury or electrical shock.
CAUTION: This symbol indicates a hazard that could result in property damage.
Note: This symbol indicates additional information about a subject.
Tip: This symbol indicates suggestions and shortcuts that might not otherwise be apparent.


Overview

Real Time Monitoring (RTM) is a hardware supported software application accessible through the DataMan Setup Tool that allows the collection and analysis of different kinds of data related to devices on the network and to their readings. The target devices for this data acquisition, as well as the selection of the type of data collected, can be set up under Configuration on the ribbon menu. By default, RTM collects statistical data (Read rate, No-read count, average decode time, trigger count, trigger overrun, buffer overflow, and process control metics, if enabled on the device).


Configuring RTM

Configuring the Real Time Monitoring

The following sections describe how to configure RTM data acquisition and manage devices that are subject of data collection.

Getting Started

Configuration

Code Quality


Getting Started

The RTM Controller is configured and viewed using the Cognex DataMan SetupTool. You will need a Windows computer running DataMan SetupTool for configuration.

There are two network interfaces on the device of which each can have a unique IP address assigned. In many industrial environments, the enterprise network is separate from the controls and device network. RTM provides a single network port for the enterprise side, and a 4 port PoE switch for the control/device side.

Note: The 4 port side acts as an Ethernet switch but RTM still communicates to any device connected via these ports with a single unique IP address.

To configure RTM, connect your RTM via the LAN port and computer to the same network. From here, the RTM device should show up under the Maintenance > Repair & Support page of the DataMan SetupTool. To assign the IP address and device name, select the device and fill out the fields on the right with the appropriate network settings. If on a DHCP network, the RTM will be automatically assigned an IP address, otherwise you must manually apply the IP settings.

For the rest of the RTM configuration, it is best if your computer, the RTM and the DataMan devices are all on the same network. This will allow you to configure both the RTM and DataMan readers directly. Once the network settings of the device are configured, move to the Connect pane of the DataMan SetupTool, and connect to the RTM.


Configuration

Configuration allows for the set up of data acquisition of RTM along with other settings.

The Configuration pane allows you to enable data collection from your DataMan devices on the RTM along with other settings. Clicking on the Configuration button opens the RTM Controller Configuration page:

Note: When first connecting to your device, RTM will automatically move to the step of scanning your network for connected devices. Move straight to the Add Device section for this.

Device Configurations

The Device Configurations page allows you to select and remove devices on the network that are the subject of data acquisition. Any number of devices can be the subject of active data acquisition at a given time in RTM. In order to enable devices for collection, you must first add them using the Add Device button.

The RTM will scan the network and report back the discovered devices. The figure below shows several discovered DataMan devices.

The Refresh button can be used to rescan the network in case new network devices have been added. If for some reason the device is not discoverable but is on the network, if you know the IP address this can be found manually added by using the Add Network Device button. The Remove Manually Added Device button will remove this manually added device from the list. Once you have discovered the devices you wish to collect data from, highlight them and click OK to enable collection. Password-protected devices can be monitored by RTM, but you need to provide the user name and password under Network.

Data Collection Settings

Once you have added devices for collection, you can use the Data Collection Settings window to configure the collection settings on the device. The list includes all the types of information that RTM can collect. By default, RTM collects statistical data (Read rate, No-read count, average decode time, trigger count, trigger overrun, buffer overflow, and process control metics, if enabled on the device). The Data Collection Settings window allows you to enable and disable the additional information that RTM can collect. These options are described below.

  • Trigger Details for NoReads: RTM stores individual trigger data when a no-read occurs. If the no-read contains partial results or Master/Slave information, these are also stored.
  • NoRead Images: The device sends the no-read image(s) to RTM.
  • Trigger Details for Good Reads: This setting enables the use of the Trigger Performance page under Detailed Views on the ribbon menu. Trigger Performance collects data for individual triggers that result in a good read. All the values of this data can be viewed in the Plotted Values drop-down menu on the Trigger Performance page.
  • Code Positions for 2D Heat Map: For each successful read, RTM stores the rectangles for each found code. This information is then used to create a 2D heat-map showing where codes were read in the Field of View.
  • Device Configuration Changes: The DataMan reader notifies RTM whenever its configuration changes. The RTM then saves the configuration file of the device. Configuration change events are shown on the Events History page, where they can be viewed, compared and saved externally.
Note: Depending on trigger frequency, enabling trigger-level data may add extra load on the reader and slow down the system. Beware when using RTM with DataMan readers on high speed lines.
Note: Self and Presentation trigger modes are not supported by RTM.

Classification Settings

If you wish to do NoRead image classification, the reader must be paired with an In-Sight device to allow the use of vision tools. Here is where you define the In-Sight device to do the classification, by ticking Collect Classification and finding the In-Sight device on the network, like you would when pairing a DataMan reader with the RTM. You can then choose whether you want to store the processed images to the RTM.

Note: Depending on your trigger configuration and the frequency of no-read images, storing images can increase the disk usage significantly.

Never Overwrite Script in Device will not push the classification script to the In-Sight device, else you can manually configure this.

Network

This group box displays the name and address of the device that is being monitored by RTM (Collection Enabled is ticked on the left). Clicking the cogwheel icon opens a sub-menu that allows you to determine how RTM identifies a device which can be IP address or MAC address.

This can be useful if your device name or IP address will change, then you can link the collection to the device MAC address. If you wish to collect data from a password-protected device, this is where you provide the User Name and Password for the device.

FTP Server Settings

When no-read image collection is enabled on a reader, the RTM facilitates this using an FTP connection to the reader. The RTM includes predefined default settings, but these settings can be modified if desired, along with Image Buffer settings. The No Read Image Rate time is the frequency of the NoRead images collected. You can specify an exact number and a unit to set this time. This count and time determine the sustained rate of bad read images. The burst determines the peak rate per time. On connecting to the DataMan device, the RTM will push these settings to establish the communication. It will also set optimal image output settings on the reader.

Data Storage Settings

This pane displays Storage Options and Data Pruning possibilities. Here, you can configure where and how the data collected is stored. The RTM contains 8GB of internal storage, however, some of this is reserved for the system. You can also set the frequency at which the RTM deletes data, so you do not run out of space.

Storage Options shows the available storage, listing their names, types, full space and the free space left from that in GB, and the used space in percentage. The RTM Controller deletes old trigger-level data after a certain amount of time to prevent data overflowing your storage. Here, in Data Age Threshold, you can modify the time frame according to your needs, between one hour and one month.

No-read image collection is enabled on a reader in Image Throttling by ticking the Push image throttling settings to device radio button. RTM includes predefined default settings, but these settings can be modified if desired. The Image Rate time is the frequency of the NoRead images collected. You can specify an exact number and a unit to set this time. This count and time determine the sustained rate of bad read images. The burst determines the peak rate per time. On connecting to the DataMan device, the RTM will push these settings to establish the communication. It will also set optimal image output settings on the reader.

Time Settings

This pane displays time setting options. The RTM Controller has no built-in clock, and a firmware update restores time settings.

The Enable Manual Time Setting radio button allows you to Set Time to apply the system time of the client PC. The Enable NTP radio button activation enables you to give the host names of the primary and secondary NTP servers to apply their time to RTM.

Deleting the content of the text field and clicking Apply resets the NTP server time settings to factory defaults.

CAM Network

This pane displays the setting options for the RTM Controller's internal network. Give the IP Address and the Subnet Mask in the boxes to determine the IP address and the sub-net mask of the RTM Controller's internal network. If you give the sub-net of the device that is plugged in the RTM Controller, the RTM Controller will become capable of recognizing them.


Code Quality

RTM logs Code Quality (PCM) data received from the DataMan readers. However, this first needs to be enabled on the reader.

In order to access these features, your reader needs to be an X model, e.g. DM260X, DM260X. If not, you will need to first check if you have the required feature key. On the top menu, go to System > System System Info. Here, you will find details about your reader and feature keys that are available. PCM is separated into two types: for 1D PCM, you need 1DCodeQuality, and for 2D PCM, you need 2DCodeQuality. If you do not have these feature keys available, and you wish to enable PCM, please contact your Cognex representative.

Once you have verified that Code Quality is available for your device, head to the Code Quality menu.

Depending on the capabilities of your reader, all of these options may not be available to you. The recommended settings for codes are the following:

  • For 1D codes, use ISO/IEC 15416
  • For printed 2D codes, use ISO/IEC 15415
  • For DPM 2D codes, use AIM-DPM/ISO/IEC TR29158

The menu gives more extensive options for configuring your Code Quality data, but this will get you started.


Aggregated and Detailed Views

Using RTM - Navigating the User Interface

The following sections describe how to navigate the user interface and what tasks can be performed by the RTM.

Devices

Display Settings

Changing Time Scale

Aggregated and Detailed Views


Devices

Devices that RTM is collecting and analyzing data from are displayed on the right side of the ribbon menu.

Other than showing the device IDs that RTM is currently connected to, the displayed icons indicate if data collection is active (play icon: ) or inactive (pause icon: ) in the properly configured device, or if data collection is inactive because the device has not been appropriately configured (device error icon: ).

The drop-down menu of a selected device allows for pausing or initiating active data collection on a given device according to the parameters set up when initiating RTM or under Configuration. You can also run the diagnostics from the drop-down menu as under Configuration.


Display Settings

You can control how the charts are displayed by clicking the Display Settings button.

After clicking the button, the Display Settings window pops up:

  • Display Reference Line: Ticking this box makes the warning line to display. The Reference Line is a horizontal line superimposed on the graph used to display a target minimum read rate.
  • Reference Line Value: You can set a percentage value that is the warning percentage where the line is drawn on the Read Rate graph.
  • Chart Type determines what kind of line is displayed.
  • NoRead Buffer Size is related to the NoRead Image History, where the number set here is the maximum number of lines (triggers) considered on that page.
  • Tick the Enable Max Returned Records box to maximize the number of returned records, the number of which you can determine in the Maximum Return Records box.


Changing Time Scale

For the Performance Overview and Code Quality Overview panes, the time scale can be changed between Last 48 Hours, Last 24 Hours and Last Hour.

Changing Time Scale with Scroll Bar

Many of the menus in RTM, including Events History, Code Location Heatmap, NoRead Image History and Trigger Performance, show a time scale which automatically adjusts as time passes. Both the point in time and time interval can be adjusted using the scroll bar below the time scale.

Changing the point in time can be done by clicking and dragging the center of the of the scroll bar to the desired point in time. The pop-up box indicates the time covered by the plot, where the smallest time interval is one minute.

Alternatively, to adjust the length of time covered by the plot, hover your mouse over to the edge of the scroll bar and click and drag this point. This can make the scroll bar smaller and larger, corresponding to a shorter and longer time period respectively.


Aggregated and Detailed Views

Both Aggregated Views ribbon menu items and Detailed Views ribbon menu items display structured representations of the data collected by RTM, most in the form of interactive real-time graphs. The smallest time interval in these displays is 1 minute. If multiple triggers occur in a minute, RTM aggregates data collected from these triggers for a 1 minute interval.

You can set up a warning line to appear on the graphs under Configuration > Display Settings.

Note: RTM only collects information that is displayed on the Views menu items when it is connected to and collection is enabled on the active device (enable data collection under Configuration or in the drop-down menu under Devices).

Aggregated Views

Detailed Views


Aggregated Views

This section details the pages under the Aggregated Views section of the ribbon menu.

Performance Overview

Performance Overview can display Read Rate, Reads per Minute, and NoReads per Minute in a real-time graph, depending on the setting in the top left under Displaying. The Last [time interval] buttons on the top row are clickable, and the active one is highlighted in orange. You can use the buttons to set the interval that Performance Overview uses.

You need to trigger the monitored device for data to be displayed on the graph.

You can set up a warning line to appear on the graphs under Configuration > Display Settings. Ticking the box makes the warning line to display on each graph. Chart type determines what kind of line is displayed, while Reference Line Value is the percentage where the line is drawn on the graphs.

Events History

Events History is used to map reader configuration changes against read statistics or barcode quality (PCM) data in a real-time graph. This can be used to quickly compare how configuration changes have impacted reader performance and take corrective action if necessary.

The scroll bar can be moved to the desired point in time to view the data of that particular time. Scroll bar length can be modified to change the monitored interval. Aggregated Value in Selected Period shows the overall performance in the selected time period. (For more information, see Changing Time Scale.)

Each event is listed on the right side with details (time stamp and event type). There are two buttons below the list:

  • Save Device Backups allows you to export the device configuration tied to the selected event on the list. This might be used to check for details when looking for reasons for a change in a given statistic, metric or grade.
  • Compare Configurations allows you to view configurations by selecting them from the list. Opening more the one allows you to do a line by line comparison of all the devices.

Data collection superimposes blue dots and lines on the graph. Selecting one of these data points, or the configuration listed on the right, highlights both the line and configuration file, making both clearly visible.

Events History allows a quick diagnosis of the effect reader configuration changes have on read performance. The figure below shows a reader performance seriously decreasing following a configuration change.

By comparing the configuration files, the cause of such a serious decline in read rates is able to be diagnosed. Compare Configurations indicates that the Code 128 symbology was disabled, causing the drastic read issues.

Code Location Heatmap

Code Location Heatmap draws a heat map of good reads, where regions are colored according to how frequently codes were found in them. Warmer colors indicate that codes were found more frequently in that area. The scroll bar can be moved and resized to change the time period viewed, it can be moved to the desired point in time to view the heat map of that particular time. Scroll bar length can be modified (hold click and drag) to change the monitored interval. (For more information, see Changing Time Scale.)

Heatmap can be used to find anomalies or issues in the reading area. The below example shows a heatmap of a presentation reading application, where the barcode can appear anywhere in the Field of View (FOV) of the camera. Here, there is an underutilized area in the bottom left area, indicating an obstruction in the path of the camera.

The heatmap feature is also useful for diagnosing movement in relative barcode positions for fixed position applications. The below example shows that the barcode has moved from its original position, the further left in the FOV. These changes can be monitored, and adjustments can be made before a code falls outside of the FOV. Alternatively, if the heatmap shows that all reads are occurring only within a small subsection of the FOV, the region of interest (ROI) can made smaller to allow faster decoding.


Detailed Views

This section describes the pages under the Detailed Views section of the ribbon menu.

NoRead Image History

The NoRead Image History pane gives a list of images collected from the monitored DataMan reader.

The table view on the left lists various attributes of the images, while the image window on the right displays the image you select from the slide view below it. Click on the save icon ( [image]) to save a local copy of the currently selected image. This image can be used for further analysis later after sending it back to a DataMan reader to attempt to decode the image with different settings, or sent to Cognex for further diagnostics.

The images are organized and timestamped in order of collection. This provides an easy, convenient method to perform an inspection of no-reads. Similarly to the other menus, the scroll bar can be used to adjust the time period monitored. (For more details, see Changing Time Scale.) The below image indicates clearly that the camera is not focused correctly. Other problems such as a missing label or incorrect trigger position can also be clearly shown by looking through the NoRead Image History.

With the addition of an In-Sight device, the no-reads can automatically be categorized into user defined Classifications. This could include classifications such as missing label, torn label etc. The Classifications chart in the bottom left corner shows what type of no-read events happened, if you selected collecting classification under Configuration > Settings > Classification.

Trigger Performance

Trigger Performance is a powerful tool which allows custom plots of a number of different parameters. It does not aggregate data for 1 minute intervals like other panes, but instead displays a scatter plot which shows each individual trigger on the graph. Individual triggers are represented by dots on the graph, and their numeric value is displayed. Plotted value (the one being monitored) can be chosen from a number of possible values in the Plotted values drop-down box.

Note: Depending on the firmware version on the monitored device, the list of plotted values can be different. Firmware version 5.7 or higher is recommended for best performance.
Tip: In order for Trigger Performance to be enabled, you need to tick the Trigger Details for Good Reads option under Configuration > Data Collection Settings.

The monitored time can be adjusted using the scroll bar below the plot. The scroll bar can be moved to the desired point in time to view the data of that particular time. Scroll bar length can be modified (hold click and drag) to change the monitored interval. (For more information, see Changing Time Scale.)

The Color plots based on setting allows you to set the criteria for the coloring of dots on the graph. A single dot (trigger) can be clicked on the graph to display all the related data that RTM collected on the right side if the trigger resulted in a good read. If it resulted in a bad read, RTM displays the image taken that can be saved by clicking on the save icon ( [image]).

The ability to plot various data points allows for some detailed analysis. The below plots show a simulation of reducing the contrast of a code. The Code Quality plot below shows the reduction of the Symbol Contrast metric as the brightness decreases. This data is then plotted with Symbol Contrast against decodability. This shows as the symbol contrast decreases, the decodability is gradually decreased to the point that it eventually fails to read. Such effects could be seen in real world environment such as a printer running out of ink.

This is just one example of the analysis available using the Trigger Performance tool of RTM.


Overview - RTM Controller

Overview

The following sections describe the Real Time Monitoring (RTM) Controller that is the hardware supporting the RTM feature.

Introduction

Installation

RTM Controller Specifications

Wiring Inputs and Outputs

Cleaning/Maintenance

Regulations/Conformity


Introduction

The RTM controller is a compact, network-ready vision controller that can be directly connected to DataMan readers. The vision controller extends the capabilities of the connected devices by providing:

  • Direct connection to a Gigabit Ethernet network.
  • 8 inputs, optically isolated.
  • 16 outputs, optically isolated.
  • Support for current sinking (NPN) and current sourcing (PNP) devices.
  • DIN-rail mountable.

Standard Components

Accessories

RTM Controller Connectors and Indicators


Standard Components

The RTM controller is shipped with the components listed below.

Note:
  • If a standard component is missing or damaged, immediately contact your Cognex Authorized Service Provider (ASP) or Cognex Technical Support.
  • The number and type of cameras or sensors included with the vision controller will vary based on the product kit.
  • Cables are sold separately.
Component
1 RTM Controller
2

Terminal Block Kit:

  • INPUTS terminal blocks
  • OUTPUTS terminal blocks
  • 24VDC power connector


Accessories

You can purchase the following components separately. For a list of options and accessories, contact your local Cognex sales representative.

RTM Controller Accessories


Vision Controller Accessories

RTM Controller Accessories

Mounting Hardware

Power Supply

Terminal Blocks

HDMI Cable


Mounting Hardware

Description | Part Number
Brackets for wall-mounting the RTM controller. | BKT-WALL-VC200-01

Description | Part Number
Bracket for mounting the RTM controller to a 35 x 15mm DIN rail. Note: The DIN rail mounting bracket accessory is not suitable for a 7.5mm profile DIN rail. | BKT-DIN-VC200-01


Power Supplies

Power Supply

Description | Part Number
DIN rail power supply that converts AC mains power to 24VDC. | ACC-Quint-PS


Terminal Blocks

Terminal Block Kit

Description Part Number

Terminal block kit includes replacement terminal blocks and connectors for the RTM controller:

  • INPUTS terminal blocks
  • OUTPUTS terminal blocks
  • 24VDC power connector

820-10138-xR


HDMI Cable

The shielded HDMI cable provides connection to a display device. The pin-outs for the cable are listed in the HDMI Cable Specifications.

Length | Part Number
5m | CCB-HDMI-VC200-05


Connectors and Indicators

RTM Controller Connectors and Indicators

Connector/Indicator | Function
1 CAM Ports and LEDs

The four CAM ports (CAM 0 - CAM 3) are RJ-45 ports that provide Ethernet connectivity to DataMan readers. These ports also provide power to the Cognex industrial devices that support Power over Ethernet (PoE). The green LED is solid when the connected device is running at 1000 Mbps; the green LED is off when the connected device is running at 10/100 Mbps. The yellow LED blinks when network activity is detected. For more information, refer to CAM Ports.

CAUTION: The RTM controller's CAM ports provide Power over Ethernet (PoE) to supported Cognex devices; connecting other PoE devices to these ports could damage the vision controller or the PoE device.
2 | INPUTS Terminal Block | The INPUTS terminal blocks provide access to a total of 8 inputs and 2 common connections. For more information, refer to INPUTS Terminal Block Assignments.
3 | OUTPUTS Terminal Block | The OUTPUTS terminal blocks provide access to a total of 16 outputs and 2 common connections. For more information, refer to OUTPUTS Terminal Block Assignments.
4 | 24VDC Power Connector | The 24VDC power connector is used to connect an external power supply to the RTM controller. For more information, refer to 24VDC Power Connector Terminal Assignments.
5 | LAN Port and LEDs | The LAN port is a 10/100/1000 RJ-45 Ethernet port that is used to connect the RTM controller to an Ethernet network. The green LED is solid when connected to a 1000 Mbps network; the green LED is off when connected to a 10/100 Mbps network. The yellow LED blinks when network activity is detected. For more information, refer to LAN Port.
6 | USB 3.0 Port | The USB 3.0 port can be used to connect mouse, keyboard or mass storage device. For more information, refer to USB 3.0 Port.
7 | USB 2.0 Port | The two USB 2.0 ports can be used to connect mouse, keyboard or mass storage device. For more information, refer to USB 2.0 Ports.
8 VIDEO OUT Port

The VIDEO OUT port is a locking HDMI port that provides connection to a display device.

Note: The VIDEO OUT port is currently not in use for the RTM.
9 | SD Card Slot | The SD card slot is used to save images, run time files and results. The green LED is solid when the SD card is inserted and blinks with read/write activity.
10 LEDs
  • PWR LED: The green PWR LED illuminates to indicate that the vision controller is powered on.
  • LED1: Green when active. User configurable.
  • LED2: Red when active. User configurable.


Installation

This section describes the connection of the RTM controller to its standard and optional components. For a list of options and accessories, contact your Cognex sales representative.

Note: Cables are sold separately.
CAUTION: All cable connectors are “keyed” to fit the connectors on the vision controller; do not force the connections or damage may occur.

Mount the RTM Controller

Install the Accessory Wall Mounting Bracket

Install the Accessory DIN Rail Mounting Bracket

Connect the INPUTS and OUTPUTS Terminal Blocks

Connect to an Ethernet Network (Optional)

Insert the SD Card (Optional)

Connect USB Devices (Optional)

Connect the 24VDC Power Supply


Mount the RTM Controller

The RTM controller provides mounting holes for attachment to either a bottom or backside mounting surface.

Note: The RTM controller may be optionally mounted using the accessory wall mounting bracket (BKT-WALL-VC200-01) or to a 15mm DIN rail, using the accessory DIN rail mounting bracket (BKT-DIN-VC200-01).The DIN rail mounting bracket accessory is not suitable for a 7.5mm profile DIN rail. For more information, contact your Cognex sales representative.
CAUTION:
  • The RTM controller must be mounted in a vertical orientation with the top of the controller up, and cannot be mounted in a horizontal orientation.
  • To ensure sufficient ventilation, the RTM controller must be mounted with sufficient clearance. If mounting to the bottom surface, 50mm of clearance is required above and on both sides of the RTM controller. If mounting to the back surface or using the accessory wall mounting bracket or DIN rail mounting bracket, 24.5mm of clearance is required above, below and on both sides of the RTM controller. If an adjacent device also produces heat, additional space or cooling is required if air space around the RTM controller exceeds 45°C (113°F).
  • Allow sufficient clearance and strain relief for wires and cables connected to the RTM controller.
  1. Drill the clearance holes for the mounting fasteners per the defined bolt pattern. The RTM controller mounting hole screw thread is M4 x 0.7.
  2. Align the holes on the mounting surface with the mounting holes on the RTM controller.

  3. Insert and tighten the mounting screws; the maximum torque is 2 Nm (18 in‑lb).

    CAUTION: The length of the screws used depends on the depth of the mounting surface; thread engagement of the screws must be 8mm ‑ 10mm.


Install the Accessory Wall Mounting Bracket

Install the Accessory Wall Mounting Brackets

The accessory wall mounting bracket kit (BKT-WALL-VC200-01) includes two wall mounting brackets and M4 screws (quantity 4) to secure the controller to a mounting surface.

CAUTION:
  • The RTM controller must be mounted in a vertical orientation with the top of the controller up, and cannot be mounted in a horizontal orientation.
  • To ensure sufficient ventilation, the RTM controller must be mounted with sufficient clearance. If mounting to the bottom surface, 50mm of clearance is required above and on both sides of the RTM controller. If mounting to the back surface or using the accessory wall mounting bracket or DIN rail mounting bracket, 24.5mm of clearance is required above, below and on both sides of the RTM controller. If an adjacent device also produces heat, additional space or cooling is required if air space around the RTM controller exceeds 45°C (113°F).
  • Allow sufficient clearance and strain relief for wires and cables connected to the RTM controller.

  1. Align the holes on the wall mounting brackets with the mounting holes on the RTM controller. The RTM controller mounting hole screw thread is M4 x 0.7.

  2. Insert the M4 screws into the mounting holes and tighten the screws using a 3mm hex wrench; the maximum torque is 2 Nm (18 in‑lb).


Install the Accessory DIN Rail Mounting Bracket

The accessory DIN rail mounting bracket kit (BKT-DIN-VC200-01) includes the DIN rail bracket and M4 screws (quantity 4) to secure the controller to a 35 x 15mm DIN rail.

Note: The DIN rail mounting bracket accessory is not suitable for a 7.5mm profile DIN rail.
CAUTION:
  • The RTM controller must be mounted in a vertical orientation with the top of the controller up, and cannot be mounted in a horizontal orientation.
  • To ensure sufficient ventilation, the RTM controller must be mounted with sufficient clearance. If mounting to the bottom surface, 50mm of clearance is required above and on both sides of the RTM controller. If mounting to the back surface or using the accessory wall mounting bracket or DIN rail mounting bracket, 24.5mm of clearance is required above, below and on both sides of the RTM controller. If an adjacent device also produces heat, additional space or cooling is required if air space around the RTM controller exceeds 45°C (113°F).
  • Allow sufficient clearance and strain relief for wires and cables connected to the RTM controller.

  1. Align the holes on the DIN rail mounting bracket with the mounting holes on the vision controller. The RTM controller mounting hole screw thread is M4 x 0.7.

  2. Insert the M4 screws into the mounting holes and tighten the screws using a 2.5mm hex wrench; the maximum torque is 2 Nm (18 in‑lb).


Connect the INPUTS and OUTPUTS Terminal Blocks

The RTM controller is shipped with four terminal blocks for connecting inputs and outputs.

Note:
  • It is recommended that all terminal blocks be installed to the RTM controller, even if no devices are wired to the terminal block connectors. For ease of installation, the terminal block connectors on the RTM controller are labeled to match the labels on the corresponding terminal blocks.
  • I/O wiring or adjustments to I/O devices should be performed when the RTM controller is not receiving power.
  • If an input or output terminal row is not used, the COMMON connection for the terminal row should be connected to frame ground.
  1. Determine how I/O devices will be connected to the RTM controller's INPUTS and OUTPUTS terminals. Refer to Wire Inputs and Outputs for common wiring configurations.
  2. Use a screwdriver to loosen the wire retention screws on the terminal blocks.

  3. Insert the input and output wires (16 - 26 AWG, solid or stranded wire) into the terminals. Refer to INPUTS Terminal Block Assignments and OUTPUTS Terminal Block Assignments for terminal block pin assignments.

  4. Tighten the wire retention screws to secure the wire leads in the terminal block; the maximum torque is 0.25 Nm (2.2 in-lb).

  5. Insert the terminal blocks into the corresponding INPUTS and OUTPUTS terminal block connectors on the vision controller, and push in until firmly seated.

  6. Connect the other end of the input and output wires to the applicable I/O device.


Connect to an Ethernet Network (Optional)

Connect to an Ethernet Network

Connect one end of the 10/100/1000 RJ-45 Ethernet cable into the RTM controller's LAN port. Connect the other end of the cable to an Ethernet network adapter or switch, as applicable.

Note: To avoid electromagnetic interference, the Ethernet cable must be shielded. Cognex strongly recommends CAT5E Ethernet cables with S/STP shielding.


Insert the SD Card (Optional)

Note: SD cards should be USH-I or USH-II and formatted with a FAT32 file system.
  1. Lift the hinged door covering the SD card slot.

  2. Insert the SD card into the SD card slot, ensuring the card is properly oriented.


Connect USB Devices (Optional)

If connecting a USB mouse, keyboard or storage device to the RTM controller, connect the USB device to one of the RTM controller's USB ports.

CAUTION: Cognex recommends only cold-plugging USB devices; turn the RTM controller power off when connecting or disconnecting USB devices.
Note:
  • When using the RTM controller in an electrically noisy environment, it is important to use USB devices that are rated for industrial use in the same environment. Most commercially available USB devices are rated for home use but are not designed for, or rated for, use in industrial environments. The use of peripherals not fully rated for the environment of use can result in impaired system immunity to nearby electrical noise.
  • USB drives should be formatted with a FAT32 or NTFS file system.


Connect the 24VDC Power Supply

The RTM controller is shipped with a 24VDC power connector.

Note:
  • A DIN rail-mountable power supply accessory is available. For more information, contact your Cognex sales representative.
  • If using a power supply with a ground terminal, the terminal must be connected to earth ground. If using a DIN rail-mounted power supply, the power supply must be mounted to an earth-grounded DIN rail. Wire and connections must be in accordance with these instructions, the National Electrical Code and applicable national and local wiring standards and rules.
  1. Verify that the 24VDC power supply is unplugged and not receiving power.
  2. Use a screwdriver to loosen the wire retention screws on the 24VDC power connector.

  3. Insert the power supply's +24VDC (Power) wire to Pin 1 and the -24VDC (Return) wire to Pin 2 on the power connector. Connect a frame ground wire from Pin 3 to frame ground. Recommended wiring is 14 ‑ 18 AWG, solid or stranded wire. Refer to 24VDC Power Connector Terminal Assignments for terminal pin assignments.

    CAUTION: Do not connect AC power directly to the RTM controller's power connector. Connecting AC power will damage the RTM controller.
  4. Tighten the wire retention screws to secure the wire leads in the terminals; the maximum torque is 0.6 Nm (5.3 in‑lb).

  5. Insert the power connector into the RTM controller's 24VDC power port. Tighten the connector screws to secure it to the RTM controller.

  6. Restore power to the 24VDC power supply and turn it on if necessary.


RTM Controller Specifications

Specifications | RTM Controller
Supported Cognex Devices
  • Ethernet fixed-mount devices with firmware version 5.6.3 and higher
  • Recent In-Sight cameras
Program Memory | 8GB non-volatile flash memory. Unlimited storage via remote network device.
Image Processing Memory | 2GB SDRAM.
Cooling System | Fanless Design.
Inputs | 8 optically isolated discrete inputs.
Outputs | 16 optically isolated discrete outputs.
CAM PortsTo ensure reliable communication using 1000 BaseT operation, the Ethernet cable must not exceed 100 meters. 1

4 RJ-45 dedicated Ethernet ports for connecting directly to supported Cognex devices, additionally supplying power to Cognex readers that support Power over Ethernet (PoE).
LAN PortTo ensure reliable communication using 1000 BaseT operation, the Ethernet cable must not exceed 100 meters. 2 | 1 RJ-45 Ethernet port, 10/100/1000 BaseT with auto MDIX. IEEE 802.3 TCP/IP Protocol. Dedicated port for connecting to wide area network.
USB PortsMaximum USB port speeds are listed. Actual speeds are dependent on the USB device, which are typically lower. 3 | 1 host USB 3.0 port (5 Gb/sec.) and 2 host USB 2.0 ports (480 Mb/sec.) ports for connecting mouse, keyboard or storage device. USB drives should be formatted with a FAT32 or NTFS file system.
SD Card Slot | 1 SD card slot for saving images, run time files and results. SD cards should be USH-I or USH-II and formatted with a FAT32 file system.
Video Out Port | 1 locking HDMI port that provides connection to a display device.
I/O Terminal Connectors

16 - 26 AWG, solid or stranded wire. Torque 0.25 Nm (2.2 in-lb).
24VDC Power Connector

14 - 18 AWG, solid or stranded wire. Torque 0.6 Nm (5.3 in-lb).
Status LEDs | PWR LED, LED 1, LED 2, SD Card Slot LED
Housing | Aluminum, steel sheet metal, injection-molded housing.
Mounting | Four bottom and four backside M4 x 0.7 threaded mounting holes. The vision controller may be optionally mounted using the accessory wall mounting bracket (BKT-WALL-VC200-01) or to a 35 x 15mm DIN rail, using the accessory DIN rail mounting bracket (BKT-DIN-VC200-01).
Dimensions | 178.8mm (7.04in) x 142.1mm (5.59in) x 75.1mm (2.96in)
Weight | 1.45 kg (3.2 lb)
Current | 3.5A (maximum)
Voltage | 24VDC ±10%
Power Consumption | 84W (maximum)
Operating TemperatureTo ensure sufficient ventilation, the RTM controller must be mounted with sufficient clearance. If mounting to the bottom surface, 50mm of clearance is required above and on both sides of the RTM controller. If mounting to the back surface or using the accessory wall mounting bracket or DIN rail mounting bracket, 24.5mm of clearance is required above, below and on both sides of the RTM controller. If an adjacent device also produces heat, additional space or cooling is required if air space around the RTM controller exceeds 45°C (113°F). 4 | 0°C to 45°C (32°F to 113°F)
Storage Temperature | -30°C to 80°C (-22°F to 176°F)
Humidity | 10% - 85%, non-condensing (Operating and Storage)
Altitude | 2,000m (6565ft)
Protection | IP30
Shock (Storage and Shipment) | 30 G, per IEC 60068-2-7EA.
Vibration (Storage and Shipment) | 2 G, 2 hrs/axis (10-500 Hz) per IEC 60068-2-6, FC.
Regulatory Compliance | CE, FCC, KCC, TÜV SÜD NRTL, EU RoHS

Inputs

Outputs

Port and Terminal Block Specifications

HDMI Cable

RTM Controller Dimensions


Inputs

The RTM controller features eight independent inputs (INPUTS 0 - 7), which can be used to trigger RTM controller events. The inputs are optically isolated and typically connected (directly or indirectly) to a PLC or photoelectric sensor. The RTM controller will respond to an event when the voltage difference between the INPUT and INPUT COMMON exceeds 10VDC.

Note:
  • Refer to Wire Inputs and Outputs for common wiring configurations.
  • There are two input terminal rows. INPUTS 0 - 3 share the COMMON 1 connection and INPUTS 4 - 7 share the COMMON 2 connection. Therefore the input devices for each terminal row must be the same; either current sinking or current sourcing.
  • To maintain optical isolation of the I/O lines, the devices connected to these lines must not be connected to the same power supply as the RTM controller. If they are connected to, or share a ground with, the same power supply, they may still function but will no longer be optically isolated.
Specification | Description
Input Voltage Limit | 24VDC
Voltage | Input ON: >10VDC Input OFF: < 2VDC
Current | Input ON: > 6mA Input OFF: < 1.5mA Each line is optically isolated and polarity-independent.


Outputs

The RTM controller features sixteen independent outputs (OUTPUTS 0 -15), which are optically isolated.

  • OUTPUTS 0 - 7 provide up to 50mA current (maximum). These outputs are typically connected (directly or indirectly) to an input, such as a trigger input or PLC input.
  • OUTPUTS 8 - 15 provide up to 100mA of current (maximum). These outputs are typically connected (directly or indirectly) to a load, such as a relay, indicator light or reject mechanism.
Note:
  • Refer to Wire Inputs and Outputs for common wiring configurations.
  • There are two output terminal rows. OUTPUTS 0 - 7 share the COMMON 1 connection and OUTPUTS 8 ‑ 15 share the COMMON 2 connection. Therefore the output devices for each terminal row must be the same; either current sinking or current sourcing.
  • To maintain optical isolation of the I/O lines, the devices connected to these lines must not be connected to the same power supply as the RTM controller. If they are connected to, or share a ground with, the same power supply, they may still function but will no longer be optically isolated.

OUTPUTS 0 - 7 Specifications:

Specification | Description
Voltage | 24VDC maximum between an output and output common.
Current | 50mA maximum. Each line protected against over-current, short circuit and reverse polarity.
Maximum Voltage Drop | 3VDC @ 50mA
DelayDelay when opto-isolators turn OFF depends on the load to which the output is connected. With a 1K load, the maximum delay will be 500 µs. 1 | 25µs (maximum due to opto-isolators turning ON)

OUTPUTS 8 - 15 Specifications:

Specification | Description
Voltage | 24VDC maximum between an output and output common.
Current | 100mA maximum. Each line protected against over-current, short circuit and reverse polarity.
Maximum Voltage Drop | 3.5VDC @ 100mA
DelayDelay when opto-isolators turn OFF depends on the load to which the output is connected. With a 1K load, the maximum delay will be 500 µs. 2 | 25µs (maximum due to opto-isolators turning ON)


Port and Terminal Block Specifications

The following sections provide specifications for the RTM controller's ports and terminal blocks.

CAM Ports

LAN Ports

USB 2.0 Ports

USB 3.0 Port

INPUTS Terminal Block Assignments

OUTPUTS Terminal Block Assignments

24VDC Power Connector Terminal Assignments


CAM Ports

The four CAM ports (CAM 0 - CAM 3) are RJ-45 ports that provide Ethernet connectivity to DataMan readers. These ports also provide power to the Cognex industrial devices that support Power over Ethernet (PoE).

CAUTION: The RTM controller's CAM ports provide Power over Ethernet (PoE) to supported Cognex devices; connecting other PoE devices to these ports could damage the RTM controller or the PoE device.
Pin Number | Signal Name
1 | TxRx A +
2 | TxRx A -
3 | TxRx B +
4 | TxRx C +
5 | TxRx C -
6 | TxRx B -
7 | TxRx D +
8 | TxRx D -


LAN Ports

LAN Port

The LAN port is a 10/100/1000 RJ-45 Ethernet port that is used to connect the RTM controller to an Ethernet network.

Pin Number | Signal Name
1 | TxRx A +
2 | TxRx A -
3 | TxRx B +
4 | TxRx C +
5 | TxRx C -
6 | TxRx B -
7 | TxRx D +
8 | TxRx D -


USB 2.0 Ports

The two USB 2.0 ports can be used to connect mouse, keyboard or mass storage device.

Pin Number | Signal Name
1 | VCC
2 | D -
3 | D +
4 | GND
5 | VCC
6 | D -
7 | D +
8 | GND


USB 3.0 Port

The USB 3.0 port can be used to connect mouse, keyboard or mass storage device.

Pin Number | Signal Name
1 | VBUS
2 | D -
3 | D +
4 | GND
5 | SSRx -
6 | SSRx +
7 | GND
8 | SSTx -
9 | SSTx +


INPUTS Terminal Block Assignments

The INPUTS terminal blocks provide access to a total of 8 inputs and 2 common connections. Recommended wiring is 16 ‑ 26 AWG, solid or stranded wire.

CAUTION: The maximum torque that can be applied to the I/O terminal connectors is 0.25 Nm (2.2 in-lb). Applying torque above this limit can damage the connectors.
Pin Label | Signal Name
0 | INPUT 0
1 | INPUT 1
2 | INPUT 2
3 | INPUT 3
C1 | INPUT COMMON 1
4 | INPUT 4
5 | INPUT 5
6 | INPUT 6
7 | INPUT 7
C2 | INPUT COMMON 2


OUTPUTS Terminal Block Assignments

The OUTPUTS terminal blocks provide access to a total of 16 outputs and 2 common connections. Recommended wiring is 16 ‑ 26 AWG, solid or stranded wire.

CAUTION: The maximum torque that can be applied to the I/O terminal connectors is 0.25 Nm (2.2 in-lb). Applying torque above this limit can damage the connectors.
Pin Label | Signal Name
0 | OUTPUT 0
1 | OUTPUT 1
2 | OUTPUT 2
3 | OUTPUT 3
4 | OUTPUT 4
5 | OUTPUT 5
6 | OUTPUT 6
7 | OUTPUT 7
C1 | OUTPUT COMMON 1
8 | OUTPUT 8
9 | OUTPUT 9
10 | OUTPUT 10
11 | OUTPUT 11
12 | OUTPUT 12
13 | OUTPUT 13
14 | OUTPUT 14
15 | OUTPUT 15
C2 | OUTPUT COMMON 2


24VDC Power Connector Terminal Assignments

The 24VDC power connector is used to connect an external power supply to the RTM controller. Recommended wiring is 14 ‑ 18 AWG, solid or stranded wire.

CAUTION: The maximum torque that can be applied to the 24VDC power connector is 0.6 Nm (5.3 in-lb). Applying torque above this limit can damage the connector.
Pin Number | Signal Name
1 | +24VDC (POWER)
2 | -24VDC (RETURN)
3 | FRAME GROUND


HDMI Cable

HDMI Cable Specifications

The shielded HDMI cable provides connection to a display device.

P1 Pin Number | Signal | Wire Color | P2 Pin Number
1 | D2 + | White | 1
3 | D2 - | Brown | 3
2 | D2 - Shield | Drain | 2
4 | D1 + | White | 4
6 | D1 - | Red | 6
5 | D1 - Shield | Drain | 5
7 | D0 + | White | 7
9 | D0 - | Green | 9
8 | D0 - Shield | Drain | 8
10 | CLK + | White | 10
12 | CLK - | Blue | 12
11 | CLK Shield | Drain | 11
13 | CEC | Red | 13
15 | I2C_SCL | White | 15
16 | I2C_SDA | Black | 16
18 | +5VDC | Violet | 18
14 | RSVD | White | 14
19 | HOT_PLUG | Orange | 19
17 | DDC_CEC GND | Drain | 17
Shell | N/A | Drain | Shell
Note: Cables are sold separately.


RTM Controller Dimensions

Note:
  • Dimensions are in millimeters [inches] and are for reference purposes only.
  • All specifications are for reference purposes only and can change without notice.


Wiring Inputs and Outputs

Wire Inputs and Outputs

The following figures show basic wiring for some of the more common I/O configurations.

Note: The IO is currently not functioning.

Input from PLC - Current Sinking

Input from PLC - Current Sourcing

Output to PLC - Current Sinking

Output to PLC - Current Sourcing

Output to Pilot Light - Current Sinking

Output to Pilot Light - Current Sourcing


Input from PLC - Current Sinking

To configure the input as a sinking input, connect INPUT COMMON (for example, C1) to the high voltage reference (+24VDC) and connect one of the INPUTS on the same terminal row (for example, INPUT 0) to the OUTPUT of the photoelectric sensor or PLC. When the PLC output turns ON, the INPUT is pulled down to a low voltage level.

Note:
  • There are two input terminal rows. INPUTS 0 - 3 share the COMMON 1 connection and INPUTS 4 - 7 share the COMMON 2 connection. Therefore the input devices for each terminal row must be the same; either current sinking or current sourcing.
  • To maintain optical isolation of the I/O lines, the devices connected to these lines must not be connected to the same power supply as the RTM controller. If they are connected to, or share a ground with, the same power supply, they may still function but will no longer be optically isolated.


Input from PLC - Current Sourcing

To configure the input as sourcing input, connect INPUT COMMON (for example, C1) to the low voltage reference (24V COMMON) and one of the INPUTS on the same terminal row (for example, INPUT 0) to the OUTPUT of the photoelectric sensor or PLC. When the PLC output turns ON, the INPUT is pulled up to a positive voltage level.

Note:
  • There are two input terminal rows. INPUTS 0 - 3 share the COMMON 1 connection and INPUTS 4 - 7 share the COMMON 2 connection. Therefore the input devices for each terminal row must be the same; either current sinking or current sourcing.
  • To maintain optical isolation of the I/O lines, the devices connected to these lines must not be connected to the same power supply as the RTM controller. If they are connected to, or share a ground with, the same power supply, they may still function but will no longer be optically isolated.


Output to PLC - Current Sinking

To configure the output as a sinking output, connect OUTPUT COMMON (for example, C1) to the low voltage reference (24V COMMON) and connect one of the OUTPUTS on the same terminal row (for example, OUTPUT 4) to the INPUT of the PLC. When the RTM controller output turns ON, the PLC input is pulled down to a low voltage level.

Note:

  • OUTPUTS 0 - 7 provide up to 50mA current (maximum).

  • There are two output terminal rows. OUTPUTS 0 - 7 share the COMMON 1 connection and OUTPUTS 8 ‑ 15 share the COMMON 2 connection. Therefore the output devices for each terminal row must be the same; either current sinking or current sourcing.
  • To maintain optical isolation of the I/O lines, the devices connected to these lines must not be connected to the same power supply as the RTM controller. If they are connected to, or share a ground with, the same power supply, they may still function but will no longer be optically isolated.


Output to PLC - Current Sourcing

To configure the output as a sourcing output, connect OUTPUT COMMON (for example, C1) to the high voltage reference (+24VDC) and connect one of the OUTPUTS on the same terminal row (for example, OUTPUT 4) to the INPUT of the PLC. When the RTM controller output turns ON, the PLC input is pulled up to a high voltage level.

Note:

  • OUTPUTS 0 - 7 provide up to 50mA current (maximum).

  • There are two output terminal rows. OUTPUTS 0 - 7 share the COMMON 1 connection and OUTPUTS 8 ‑ 15 share the COMMON 2 connection. Therefore the output devices for each terminal row must be the same; either current sinking or current sourcing.
  • To maintain optical isolation of the I/O lines, the devices connected to these lines must not be connected to the same power supply as the RTM controller. If they are connected to, or share a ground with, the same power supply, they may still function but will no longer be optically isolated.


Output to Pilot Light - Current Sinking

To configure the output as a sinking output, connect OUTPUT COMMON (for example, C2) to the power supply's low voltage reference (24V COMMON) and connect one of the OUTPUTS on the same terminal row (for example, OUTPUT 12) to the pilot light's low voltage reference (24V COMMON).

Note:
  • OUTPUTS 8 - 15 provide up to 100mA of current (maximum).
  • There are two output terminal rows. OUTPUTS 0 - 7 share the COMMON 1 connection and OUTPUTS 8 ‑ 15 share the COMMON 2 connection. Therefore the output devices for each terminal row must be the same; either current sinking or current sourcing.
  • To maintain optical isolation of the I/O lines, the devices connected to these lines must not be connected to the same power supply as the RTM controller. If they are connected to, or share a ground with, the same power supply, they may still function but will no longer be optically isolated.


Output to Pilot Light - Current Sourcing

To configure the output as a sourcing output, connect OUTPUT COMMON (for example, C2) to the power supply's high voltage reference (+24VDC) and connect one of the OUTPUTS on the same terminal row (for example, OUTPUT 12) to the pilot light's high voltage reference (+24VDC).

Note:

  • OUTPUTS 8 - 15 provide up to 100mA of current (maximum).

  • There are two output terminal rows. OUTPUTS 0 - 7 share the COMMON 1 connection and OUTPUTS 8 ‑ 15 share the COMMON 2 connection. Therefore the output devices for each terminal row must be the same; either current sinking or current sourcing.
  • To maintain optical isolation of the I/O lines, the devices connected to these lines must not be connected to the same power supply as the RTM controller. If they are connected to, or share a ground with, the same power supply, they may still function but will no longer be optically isolated.


Cleaning/Maintenance

Cleaning the RTM Controller

Use a cleaning cloth or brush to remove dirt, dust and smudges from the RTM controller. Keep all liquids away from the RTM controller connectors and openings.

CAUTION: Cleaning chemicals should not be used on the RTM controller.


Regulations/Conformity

Regulations/Conformity: RTM Controller

Note: For the most current CE declaration and regulatory conformity information, see the Cognex support site: cognex.com/support.
Safety and Regulatory
Manufacturer | Cognex Corporation One Vision Drive Natick, MA 01760 USA
 | Regulatory Model 1AAL
FCC | FCC Part 15, Class A This equipment has been tested and found to comply with the limits for a Class A digital device, pursuant to part 15 of the FCC Rules. These limits are designed to provide reasonable protection against harmful interference when the equipment is operated in a commercial environment. This equipment generates, uses, and can radiate radio frequency energy and, if not installed and used in accordance with the instruction manual, may cause harmful interference to radio communications. Operation of this equipment in a residential area is likely to cause harmful interference in which case the user will be required to correct the interference at his own expense.
KCC | Regulatory Model 1AAL: MSIP-REM-CGX-1AAL
NRTL | TÜV SÜD AM SCC/NRTL OSHA Scheme for UL/CAN 61010-1.
CB | TÜV SÜD AM, IEC/EN 61010-1.CB report available upon request.
EU RoHS | Compliant to the most recent applicable directive.

China RoHS

For European Community Users


China RoHS
Hazardous Substances 有害物质

Part Name

部件名称

Lead (Pb)

铅

Mercury (Hg)

汞

Cadmium (Cd)

镉

Hexavalent Chromium

(Cr (VI))

六价铬

Polybrominated biphenyls (PBB)

多溴联苯

Polybrominated diphenyl ethers (PBDE)

多溴二苯醚
Regulatory Model 1AAL X O O O O O

This table is prepared in accordance with the provisions of SJ/T 11364.

这个标签是根据SJ / T 11364 的规定准备的。

O: Indicates that said hazardous substance contained in all of the homogeneous materials for this part is below the limit requirement of GB / T26572 - 2011.

表示本部件所有均质材料中含有的有害物质低于GB / T26572 - 2011 的限量要求。

X: Indicates that said hazardous substance contained in at least one of the homogeneous materials used for this part is above the limit requirement of GB / T26572 - 2011.

表示用于本部件的至少一种均质材料中所含的危害物质超过GB / T26572 - 2011 的限制要求。


For European Community Users

Cognex complies with Directive 2012/19/EU OF THE EUROPEAN PARLIAMENT AND OF THE COUNCIL of 4 July 2012 on waste electrical and electronic equipment (WEEE).

This product has required the extraction and use of natural resources for its production. It may contain hazardous substances that could impact health and the environment, if not properly disposed.

In order to avoid the dissemination of those substances in our environment and to diminish the pressure on the natural resources, we encourage you to use the appropriate take-back systems for product disposal. Those systems will reuse or recycle most of the materials of the product you are disposing in a sound way.

The crossed out wheeled bin symbol informs you that the product should not be disposed of along with municipal waste and invites you to use the appropriate separate take-back systems for product disposal.

If you need more information on the collection, reuse, and recycling systems, please contact your local or regional waste administration.

You may also contact your supplier for more information on the environmental performance of this product.


Precautions

Observe these precautions when installing the RTM controller to reduce the risk of injury or equipment damage:

  • The RTM controller is intended to be supplied by a NRTL listed power supply with a minimum output rated 24VDC, 3.5A and must be used with the Cognex-supplied 24VDC power connector. Any other voltage creates a risk of fire or shock and can damage the components. Applicable national and local wiring standards and rules must be followed. Wire and connections must be in accordance with these instructions, the National Electrical Code and applicable national and local wiring standards and rules.
  • Route cables and wires away from high-current wiring or high-voltage power sources to reduce the risk of damage or malfunction from the following causes: over-voltage, line noise, electrostatic discharge (ESD), power surges, or other irregularities in the power supply.
  • Do not install Cognex products where they are exposed to environmental hazards such as excessive heat, dust, moisture, humidity, impact, vibration, corrosive substances, flammable substances, or static electricity.
  • The DataMan devices do not contain user-serviceable parts. Do not make electrical or mechanical modifications to DataMan device components. Unauthorized modifications may void your warranty.
  • Changes or modifications not expressly approved by the party responsible for regulatory compliance could void the user’s authority to operate the equipment.
  • Include service loops with cable connections.
  • Ensure that the cable bend radius begins at least six inches from the connector. Cable shielding can be degraded or cables can be damaged or wear out faster if a service loop or bend radius is tighter than 10X the cable diameter.
  • Remove power from the RTM controller before connecting or disconnecting any cables or the I/O terminal blocks.
  • The maximum torque that can be applied to the I/O terminal connectors is 0.25 Nm (2.2 in-lb). Applying torque above this limit can damage the connectors.
  • Remove power from the vision controller before connecting or disconnecting the 24VDC power connector.
  • The maximum torque that can be applied to the 24VDC power connector is 0.6 Nm (5.3 in-lb). Applying torque above this limit can damage the connector.
  • This device is certified for office use only and if used at home, there can be frequency interference problems.
  • This device should be used in accordance with the instructions in this manual.
  • All specifications are for reference purposes only and can change without notice.


Back Cover

P/N 59x-xxxx-xx Rev. A


Open Source Libraries

The RTM controller uses third-party open source software, whose licenses are described in the click-accept agreement that is part of the ??? software installation.


Precautions

To reduce the risk of injury or equipment damage, observe the following precautions when you install the Cognex product:

  • Route cables and wires away from high-current wiring or high-voltage power sources to reduce the risk of damage or malfunction from the following causes: over-voltage, line noise, electrostatic discharge (ESD), power surges, or other irregularities in the power supply.
  • Changes or modifications not expressly approved by the party responsible for regulatory compliance could void the user’s authority to operate the equipment.
  • Ensure that the cable bend radius begins at least six inches from the connector. Cable shielding can be degraded or cables can be damaged or wear out faster if a service loop or bend radius is tighter than 10X the cable diameter.
  • This device is certified for office use only and if used at home, there can be frequency interference problems.
  • This device should be used in accordance with the instructions in this manual.
  • All specifications are for reference purposes only and can change without notice.


VIDEO OUT Port

The VIDEO OUT port is a locking HDMI port that provides connection to a display device.

Pin Number | Signal Name
1 | D2 +
2 | D2 - Shield
3 | D2 -
4 | D1 +
5 | D1 - Shield
6 | D1 -
7 | D0 +
8 | D0 - Shield
9 | D0 -
10 | CLK +
11 | CLK Shield
12 | CLK -
13 | CEC
14 | RSVD
15 | I2C_SCL
16 | I2C_SDA
17 | DDC_CEC GND
18 | +5VDC
19 | HOT_PLUG